org.apache.maven.scm.provider.accurev

## Class AccuRevVersion

- java.lang.Object
- - org.apache.maven.scm.provider.accurev.AccuRevVersion

    public class AccuRevVersion
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AccuRevVersion(String basis, Date startDate)`
`AccuRevVersion(String basis, long transactionId)`
`AccuRevVersion(String basisStream, String tran)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getBasisStream()`
`String` `getTimeSpec()`
`boolean` `isNow()`
`static boolean` `isNow(String timeSpec)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AccuRevVersion

    public AccuRevVersion(String basisStream,
                          String tran)

#### AccuRevVersion

    public AccuRevVersion(String basis,
                          Date startDate)

#### AccuRevVersion

    public AccuRevVersion(String basis,
                          long transactionId)

### Method Detail

#### getBasisStream

    public String getBasisStream()

#### getTimeSpec

    public String getTimeSpec()

#### isNow

    public boolean isNow()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### isNow

    public static boolean isNow(String timeSpec)